Search
j0ke.net Open Build Service
>
Projects
>
ha
:
firewall
:
Snorby
>
ruby-common19
> gem_build_cleanup
Sign Up
|
Log In
Username
Password
Cancel
Overview
Repositories
Revisions
Requests
Users
Advanced
Attributes
Meta
File gem_build_cleanup of Package ruby-common19
#!/bin/sh if [ ${#*} = 1 ] ; then if [ -d "$1" ] ; then find $1 \ \( -name \*.o -o -name Makefile -o -name config.log -o -name config.status -o -name Makefile.html -o -name gem_make.out -o -name mkmf.log -o -name \*.bak -o -name .deps -o -name .libs -o -name CVS \) \ -print0 | xargs -r0 rm -rv || : else echo "'$1' does not exists or is not a directory! Exiting." >&2 exit 1 fi else echo "Please pass exact one argument to this script! Exiting." >&2 exit 1 fi